WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Error notification in WordPress 3.5.2: Deprecated Since 2.7

[Resolved] Error notification in WordPress 3.5.2: Deprecated Since 2.7

  • Hello, I’m getting this warning and wondering what it means?

    Notice: options.php was called with an argument that is deprecated since version 2.7! The miniAudioPlayer_donate setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API in /home/pacific/public_html/wp-includes/functions.php on line 2925

    \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
    When I go there, I find the following:

    */
    function _deprecated_argument( $function, $version, $message = null ) {

    do_action( ‘deprecated_argument_run’, $function, $message, $version );

    // Allow plugin to filter the output error trigger
    if ( WP_DEBUG && apply_filters( ‘deprecated_argument_trigger_error’, true ) ) {
    if ( ! is_null( $message ) )
    trigger_error( sprintf( __(‘%1$s was called with an argument that is deprecated since version %2$s! %3$s’), $function, $version, $message ) );
    else
    trigger_error( sprintf( __(‘%1$s was called with an argument that is deprecated since version %2$s with no alternative available.’), $function, $version ) );
    }
    }

    /**
    * Marks something as being incorrectly called.
    *
    * There is a hook doing_it_wrong_run that will be called that can be used
    * to get the backtrace up to what file and function called the deprecated
    * function.
    *
    * The current behavior is to trigger a user error if WP_DEBUG is true.
    *
    \\\\\\\\\

    Do I need to check to see if I’ve got debugging enabled?
    Is this something I should be concerned with?

    Thank you.

    http://wordpress.org/extend/plugins/compact-wp-audio-player/

Viewing 3 replies - 1 through 3 (of 3 total)
  • P.S. I’m not adept with php code, but wonder if the

    }
    }

    /**

    part is an error? Should there be two of them?

    Plugin Author mra13

    @mra13

    Hi, It doesn’t look like this error is coming from the compact audio player plugin.

    It looks like you have another plugin called “mini audio player” or something similar which is giving this error. Please deactivate that plugin or contact the developer of that plugin.

    Thank you. I have deleted his plugin and also fixed the WP DEBUG to “false.”

    I had forgotten to change it when I launched the site. I appreciate you getting back to me so quickly. Thank you again!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Error notification in WordPress 3.5.2: Deprecated Since 2.7’ is closed to new replies.